@import
    "../../base/Variables.scss",
    "../../base/VariablesGlobal.scss",
    "../../base/royal-revamp/RR-Typography.scss",
    "../../components/royal-revamp/RR-Lists.scss", 
    "../../components/royal-revamp/RR-Card.scss";

main{
    background: #fff;
}

#user-info{
    background: linear-gradient(to bottom, #f5f5f5 49%,#fff 49%,#fff 100%);
    padding: 60px 0 30px 0;

    .title-wrapper{
        position: relative;
        .medium-title, .subtitle{
            text-align: left;
        }
        .medium-title{
            margin-bottom: .5rem;
        }
        .notif-bell-button{
            position: absolute;
            right: 0;
            top: 8px;
            width: 40px;
            height: 40px;
            background-color: #2384c6;;
            color: #fff;
            border-radius: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            span{
                position: absolute;
                top: -2px;
                right: -2px;
                width: 15px;
                height: 15px;
                background-color: #ff1414;
                border-radius: 50%;
                border: solid 1px #fff;
                font-size: 9px;
                font-family: GothamRounded-Bold;
                text-align: center;
            }
            i{
                font-weight: bolder;
                font-size: 20px;
            }
            &:hover{cursor: pointer;}
        }
    }

    .tier-card-wrapper{
        display: flex;
        flex-wrap: wrap;
        .left-content, .right-content{
            width: calc(50% - 8px);
            @media screen and (max-width: 768px){
                width: 100%;
            }
        }
        .left-content{
            margin-right: 1rem;
            @media screen and (max-width: 768px){
                margin: 0 0 .5rem 0;
            }
        }
        .right-content{
            .tools-card-wrapper{
                margin: 0;
                li{
                    width: 100%;
                    height: 80px;
                    margin: 0 0 .5rem 0 ;
                    justify-content: flex-start;
                    padding-left: 15%;
                    @media screen and (max-width: 768px){
                        display: flex;
                        height: auto;
                        padding-left: 20px;
                    }
                    img{
                        width: 50px;
                        @media screen and (max-width: 768px){
                            margin: 0 1rem 0 0;
                            width: 45px;
                        }
                    }
                    &:last-child{
                        margin: 0;
                    }
                }
            }
        }
    }
}

#recommended-article, #recommended-podcast, #recommended-tools, #user-rewards{
    padding: 30px 0;
    .see-more-link{
        display: block;
        margin-bottom: 0;
        text-decoration: none;
    }
    .subtitle , .medium-title{
        @media screen and (max-width: 768px){
            text-align: left;
        }
    }
    .container{
        &> p{
            @include breakpoint(mobile){
                text-align: left !important;
            }
        }
    }
}

.separator-rr{
    height: 1rem;
    width: 100%;
    background-color: #f5f5f5;
}

#recommended-tools{
    .tools-card-wrapper{
        width: 80%;
        margin: 0 auto 50px auto;
        justify-content: center;
        @media screen and (max-width: 768px){
            width: 100%;
        }
        li{
            text-align: center;
            display: block;

            img{
                margin: 0 0 10px 0;
                height: 80px;
                width: auto;
                @media screen and (max-width: 768px){
                    text-align: left;
                }
            }
        }
    }
}

#user-rewards{
    text-align: center;

    .rr-tab-wrapper{
        @media screen and (max-width: 768px){
            width: 100%;
            overflow-x: scroll;
        }
        .rr-tab{
            justify-content: center;
            border-bottom: 2px solid #f5f5f5;
    
            @media screen and (max-width: 768px){
                min-width: 100%;
                width: max-content;
                margin-bottom: 5px;
                justify-content: flex-start;
            }
    
            li{
                margin-bottom: -2px;

                a{
                    padding: 0 15px .5rem 15px;
                    font-family: GothamRounded-Book;
                    font-size: 14px;
                    color: #808080;
                    border: none;
                    &.active{
                        border-bottom: solid 3px #2384c6;
                        font-family: GothamRounded-Bold;
                        color: #2384c6;
                    }

                    @media screen and (max-width: 768px){
                        min-width: 0 !important;
                    }
                }
            }
        }
    }

    .rr-tab-content{
        padding: 30px 0;

        .unregistered-reward{
            text-align: center;
            margin-top: 30px;
            img{
                height: 50px;
                margin-bottom: .5rem;
            }
            p{
                font-family: GothamRounded-Book;
                font-size: 14px;
                color: #222222;
                opacity: .3;
                margin: 0;
            }
        }
    }
}